# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
CC = @CC@
CXX = @CXX@
HAVE_LIB = @HAVE_LIB@
HTML2TXT = @HTML2TXT@
LIB = @LIB@
LN = @LN@
LTLIB = @LTLIB@
LYNX = @LYNX@
MAKEINFO = @MAKEINFO@
MKDIR = @MKDIR@
PACKAGE = @PACKAGE@
POD2HTML = @POD2HTML@
POD2MAN = @POD2MAN@
PYTHON = @PYTHON@
RANLIB = @RANLIB@
RM = @RM@
STRIP = @STRIP@
SUFFIXES = @SUFFIXES@
VERSION = @VERSION@
W3M = @W3M@
cgidir = @cgidir@
phpdir = @phpdir@
pythonlibdir = @pythonlibdir@

sbin_PROGRAMS = vmailmgrd

noinst_PODS = vmailmgrd.pod
noinst_HTMLS = $(noinst_PODS:.pod=.html)
man_MANS = $(noinst_PODS:.pod=.8)

CLEANFILES = $(man_MANS) $(noinst_HTMLS) $(noinst_PODS) 	pod2html-dircache pod2html-itemcache

EXTRA_DIST = $(man_MANS) $(noinst_HTMLS) $(noinst_PODS)

INCLUDES = -I../lib

vmailmgrd_SOURCES = daemon.h 	adduser.cc 	autoresponse.cc 	chattr.cc 	check.cc 	command.h command.cc 	deluser.cc 	dispatch.cc 	listdomain.cc 	log.h log.cc 	lookup.cc 	main.cc 	stat.cc 	state.h state.cc

vmailmgrd_LDADD = ../lib/libvmailmgr.a ../lib/cli++/libcli++.a
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(sbin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
vmailmgrd_OBJECTS =  adduser.o autoresponse.o chattr.o check.o command.o \
deluser.o dispatch.o listdomain.o log.o lookup.o main.o stat.o state.o
vmailmgrd_DEPENDENCIES =  ../lib/libvmailmgr.a ../lib/cli++/libcli++.a
vmailmgrd_LDFLAGS = 
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
man8dir = $(mandir)/man8
MANS = $(man_MANS)

NROFF = nroff
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(vmailmgrd_SOURCES)
OBJECTS = $(vmailmgrd_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cc .o .s @SUFFIXES@
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps daemon/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-sbinPROGRAMS:

clean-sbinPROGRAMS:
	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)

distclean-sbinPROGRAMS:

maintainer-clean-sbinPROGRAMS:

install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(sbindir)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

vmailmgrd: $(vmailmgrd_OBJECTS) $(vmailmgrd_DEPENDENCIES)
	@rm -f vmailmgrd
	$(CXXLINK) $(vmailmgrd_LDFLAGS) $(vmailmgrd_OBJECTS) $(vmailmgrd_LDADD) $(LIBS)
.cc.o:
	$(CXXCOMPILE) -c $<

install-man8:
	$(mkinstalldirs) $(DESTDIR)$(man8dir)
	@list='$(man8_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst; \
	done

uninstall-man8:
	@list='$(man8_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man8dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man8dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man8
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man8

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = daemon

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
adduser.o: adduser.cc ../config.h daemon.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/pwentry.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/pwcrypt.h \
	../lib/misc/itoa.h state.h ../lib/vdomain/vdomain.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h command.h \
	log.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h
autoresponse.o: autoresponse.cc ../config.h daemon.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/pwentry.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/pwcrypt.h ../lib/misc/itoa.h state.h \
	../lib/vdomain/vdomain.h ../lib/vpwtable/vpwtable.h \
	../lib/misc/response.h command.h log.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/misc/lookup.h ../lib/misc/maildir.h \
	../lib/misc/pwentry_table.h ../lib/misc/stat_fns.h
chattr.o: chattr.cc ../config.h daemon.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/pwentry.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/pwcrypt.h \
	../lib/misc/itoa.h state.h ../lib/vdomain/vdomain.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h command.h \
	log.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h
check.o: check.cc ../config.h daemon.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/pwentry.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/pwcrypt.h \
	../lib/misc/itoa.h state.h ../lib/vdomain/vdomain.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h command.h \
	log.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h
command.o: command.cc ../config.h daemon.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/pwentry.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/pwcrypt.h \
	../lib/misc/itoa.h state.h ../lib/vdomain/vdomain.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h command.h \
	log.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h
deluser.o: deluser.cc ../config.h daemon.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/pwentry.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/pwcrypt.h \
	../lib/misc/itoa.h state.h ../lib/vdomain/vdomain.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h command.h \
	log.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h
dispatch.o: dispatch.cc ../config.h daemon.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/pwentry.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/pwcrypt.h \
	../lib/misc/itoa.h state.h ../lib/vdomain/vdomain.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h command.h \
	log.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h ../lib/misc/lookup.h
listdomain.o: listdomain.cc ../config.h daemon.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/pwentry.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/pwcrypt.h ../lib/misc/itoa.h state.h \
	../lib/vdomain/vdomain.h ../lib/vpwtable/vpwtable.h \
	../lib/misc/response.h command.h log.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h \
	../lib/misc/lookup.h
log.o: log.cc ../config.h daemon.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/pwentry.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/pwcrypt.h \
	../lib/misc/itoa.h state.h ../lib/vdomain/vdomain.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h command.h \
	log.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h
lookup.o: lookup.cc ../config.h daemon.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/pwentry.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/pwcrypt.h \
	../lib/misc/itoa.h state.h ../lib/vdomain/vdomain.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h command.h \
	log.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h ../lib/misc/lookup.h \
	../lib/misc/pwentry_table.h
main.o: main.cc ../config.h ../lib/cli++/cli++.h daemon.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/misc/pwentry.h ../lib/config/configrc.h \
	../lib/misc/strlist.h ../lib/vpwentry/vpwentry.h \
	../lib/misc/pwcrypt.h ../lib/misc/itoa.h state.h \
	../lib/vdomain/vdomain.h ../lib/vpwtable/vpwtable.h \
	../lib/misc/response.h command.h log.h ../lib/fdbuf/fdbuf.h \
	../lib/fdbuf/fdibuf.h ../lib/fdbuf/fdobuf.h
stat.o: stat.cc ../config.h daemon.h ../lib/mystring/mystring.h \
	../lib/mystring/rep.h ../lib/mystring/iter.h \
	../lib/mystring/join.h ../lib/misc/pwentry.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/pwcrypt.h \
	../lib/misc/itoa.h state.h ../lib/vdomain/vdomain.h \
	../lib/vpwtable/vpwtable.h ../lib/misc/response.h command.h \
	log.h ../lib/fdbuf/fdbuf.h ../lib/fdbuf/fdibuf.h \
	../lib/fdbuf/fdobuf.h ../lib/misc/lookup.h ../lib/misc/utoa.h \
	../lib/misc/stat_fns.h ../lib/ac/dirent.h
state.o: state.cc state.h ../lib/misc/pwentry.h \
	../lib/mystring/mystring.h ../lib/mystring/rep.h \
	../lib/mystring/iter.h ../lib/mystring/join.h \
	../lib/config/configrc.h ../lib/misc/strlist.h \
	../lib/vdomain/vdomain.h ../lib/vpwtable/vpwtable.h \
	../lib/vpwentry/vpwentry.h ../lib/misc/response.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-sbinPROGRAMS
install-exec: install-exec-am

install-data-am: install-man
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-sbinPROGRAMS uninstall-man
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) $(MANS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(sbindir) $(DESTDIR)$(mandir)/man8


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-sbinPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-sbinPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-sbinPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-sbinPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-sbinPROGRAMS distclean-sbinPROGRAMS \
clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS uninstall-sbinPROGRAMS \
install-sbinPROGRAMS mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile install-man8 uninstall-man8 \
install-man uninstall-man tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


all: docs

docs: $(noinst_HTMLS) $(noinst_TXTS)

dist-hook:
	touch $(distdir)/*.html $(distdir)/*.[123456789]

vmailmgrd.pod: main.cc ../configure.in ../lib/cli++/cli++topod.pl
	perl ../lib/cli++/cli++topod.pl $< >$@
%.8: %.pod ../configure.in; $(POD2MAN) --section=8 $< >$@
%.html: %.pod; $(POD2HTML) $< >$@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
